SubdivideWidget Class Reference
Inheritance diagram for SubdivideWidget:
[legend]
Collaboration diagram for SubdivideWidget:
[legend]

## Public Types

enum | SOPType { SOP_UniformCompositeLoop, SOP_UniformCompositeSqrt3, SOP_UniformLoop, SOP_UniformSqrt3, SOP_UniformInterpolatingSqrt3, SOP_ModifiedButterfly, SOP_CatmullClark, SOP_Undefined }
typedef OpenMesh::Subdivider::Uniform::SubdividerT< Mesh > | Subdivider
typedef std::map< SOPType, Subdivider *> | SubdividerPool

## Public Member Functions

| SubdivideWidget (QWidget *_parent=0, const char *_name=0)
| constructor
| ~SubdivideWidget ()
| destructor
bool | open_mesh (const char *_filename)
| open mesh from _filename
void | keyPressEvent (QKeyEvent *k)
void | update ()

## Public Attributes

QStatusBar * | status_bar
| Updates Status Bar Information.

The documentation for this class was generated from the following files:

- OpenMesh/Apps/Subdivider/SubdivideWidget.hh
- OpenMesh/Apps/Subdivider/SubdivideWidget.cc